#ifndef SCANBOARD_H
#define SCANBOARD_H

#include <QDialog>

namespace Ui {
class ScanBoard;
}

class ScanBoard : public QDialog
{
    Q_OBJECT

public:
    explicit ScanBoard(QWidget *parent = nullptr);
    ~ScanBoard();

    Qt::CheckState getCheckState();
    void showMeTheTruth(QString resultOfScan);
    quint16 getBaud();
private slots:
    void on_applyToAllBox_stateChanged(int arg1);

    void on_baudRateBox_currentTextChanged(const QString &arg1);

private:
    Qt::CheckState checkState;
    quint16 baud;

    Ui::ScanBoard *ui;
};

#endif // SCANBOARD_H
